/*
 * Contact.cs
 *
 * Represents the contact information.
 */

public class Contact {

    private int id;
    private string fname;
    private string lname;
    private string email;
    private string url;
    private string phone;
    private string fax;
    private string street;
    private string city;
    private string state;
    private string zip;

    public Contact (){
        Id = 0;
        Fname = "";
        Lname = "";
        Email = "";
        Url = "";
        Phone = "";
        Fax = "";
        Street = "";
        City = "";
        State = "";
        zip = "";
    }

    public Contact (int id,
	    string fname,string lname,string email,
        string url,string phone,string fax,
        string street,string city,string zip)
    {
        Id = id;
        Fname = fname;
        Lname = lname;
        Email = email;
        Url = url;
        Phone = phone;
        Fax = fax;
        Street = street;
        City = city;
        State = state;
        Zip = zip; 
    }

    public int Id {
        get { return this.id; }
        set { this.id = value; }
    }

    public string Fname {
        get { return this.fname; }
        set { this.fname = value; }
    }

    public string Lname {
        get { return this.lname; }
        set { this.lname = value; }
    }

    public string Email {
        get { return this.email; }
        set { this.email = value; }
    }

    public string Url {
        get { return this.url; }
        set { this.url = value; }
    }

    public string Phone {
        get { return this.phone; }
        set { this.phone = value; }
    }

    public string Fax {
        get { return this.fax; }
        set { this.fax = value; }
    }

    public string Street {
        get { return this.street; }
        set { this.street = value; }
    }

    public string City {
        get { return this.city; }
        set { this.city = value; }
    }

    public string State {
        get { return this.state; }
        set { this.state = value; }
    }

    public string Zip {
        get { return this.zip; }
        set { this.zip = value; }
    }

    public override string ToString(){
        return "Contact:"+id+"\n"+
               " First Name: "+fname+"\n"+
               " Last Name: "+lname+"\n"+
               " E-Mail: "+email+"\n"+
               " WWW URL: "+url+"\n"+
               " Phone: "+phone+"\n"+
               " Fax: "+fax+"\n"+
               " Street Address: "+street+"\n"+
               " City: "+city+"\n"+
               " State: "+state+"\n"+
               " ZIP Code: "+zip+"\n";
    }
}
